#ifndef SYSTRAY_H
#define SYSTRAY_H

#include <QObject>
#include <QSystemTrayIcon>
#include <QMenu>
#include <QAction>
#include <qdebug.h>

class SysTray : public QSystemTrayIcon
{
    Q_OBJECT
public:
    explicit SysTray(QObject *parent = 0);

    void creatMenu();
signals:
    void sgOpenMainDialog();  //打开main
    void sgSet();    //设置
    void sgExit();   //退出

private slots:
    void iconIsActived(QSystemTrayIcon::ActivationReason reason);
private:


};

#endif // SYSTRAY_H
